<?php

/*
 * Plugin name: SH Plugin
 * Version: 0.01
 * Author: Stunning Hub
 * Author URI: https://stunninghub.co.in
 * Description: [sh_portfolio] | This plugin helps to create a Portfolio to show case your your projects.
 * License: GPL2
 * Text domain: SHPlugin
 */

 function wpdocs_theme_name_scripts() {
      wp_enqueue_style( 'sh_porto_bt_style',  plugin_dir_url( __FILE__ ) . '/assets/bootstrap.css');
     wp_enqueue_style( 'sh_porto_style',  plugin_dir_url( __FILE__ ) . '/style.css');
     wp_enqueue_script( 'sh_porto_js',  plugin_dir_url( __FILE__ ) . '/assets/bootstrap_bundle.js');
 }
 add_action( 'wp_enqueue_scripts', 'wpdocs_theme_name_scripts' );
function create_post_type()
{
    register_post_type(
        'sh_portfolio',
        array(
            'labels' => array(
                'name' => __('Portfolio'),
                'singular_name' => __('Project'),
                'all_items' => __('All projects'),
                'add_new' => _x('Add new project', 'project'),
                'add_new_item' => __('Add new project'),
                'edit_item' => __('Edit project'),
                'new_item' => __('New project'),
                'view_item' => __('View project'),
                'search_items' => __('Search in project'),
                'not_found' =>  __('No project found'),
                'not_found_in_trash' => __('No project found in trash'),
            ),
            'public' => true,
            'has_archive' => true,
            'rewrite' => array('slug' => 'sh_portfolio'),
            'show_in_rest' => true,
            'menu_icon' => "dashicons-portfolio",
            'show_ui' => true,
            'capability_type' => 'post',
            'supports' => array('title', 'editor', 'thumbnail')
        )
    );
}
add_action("init", "create_post_type");

function sh_portfolio_scf(){
  $sh_port_args = array(
    'post_type' => 'sh_portfolio'
  );
  $sh_port_query = new WP_Query($sh_port_args);
  if($sh_port_query->have_posts()){
    ?>
    <div class="sh-card-grid row">
    <?php
    while($sh_port_query->have_posts()){
      $sh_port_query->the_post();
      ?>
      <div class="col-sm">
        <div class="card">
          <a href="<?php the_permalink();?>">
            <?php echo the_post_thumbnail();?>
          </a>
          <div class="card-body">
            <h4><?php the_title();?></h4>
            <?php the_excerpt();?>
          </div>
        </div>
      </div>
      <?php
    }
    ?>
    </div>
    <?php
  }
}
add_shortcode("sh_portfolio", "sh_portfolio_scf");



register_activation_hook( __FILE__, 'plugin_activation' );
function plugin_activation() {
    update_option('plugin_permalinks_flushed', 0);
}

add_action( 'init', 'custom_query_vars' );
function custom_query_vars() {
    global $wp;

    $wp->add_query_var( 'sh_portfolio' );
    add_rewrite_rule( '^sh_portfolio/([^/]*)/?', 'index.php?sh_portfolio=$matches[1]', 'top' );

    if( !get_option('plugin_permalinks_flushed') ) {

        flush_rewrite_rules(false);
        update_option('plugin_permalinks_flushed', 1);

    }
}
